PayZuPayZu Docs

Listar callbacks

GET
/user/callbacks

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

page?integer
Default1
Range1 <= value
limit?integer
Default10
Range1 <= value <= 100
sortBy?string
Default"createdAt"
Value in"createdAt" | "status"
sortDirection?string
Default"desc"
Value in"asc" | "desc"
id?string

Filtra por ID de callback

url?string

Filtra por callback URL

status?integer

Código de status HTTP

transactionId?string
hasError?boolean

Filtra callbacks que apresentaram erro

createdAtFrom?string
Formatdate-time
createdAtTo?string
Formatdate-time

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.payzu.processamento.com/v1/user/callbacks"
{
  "pagination": {
    "page": 1,
    "limit": 10,
    "hasNextPage": true
  },
  "callbacks": [
    {
      "id": "cmh211yjm03ohs601kf7672du",
      "url": "https://great-lock-79.webhook.cool",
      "status": 200,
      "transactionId": "PAYZU2025102213082667EDC8079C",
      "createdAt": "2025-10-22T13:26:53.219Z",
      "responseTime": 124,
      "body": {
        "id": "PAYZU2025102213082667EDC8079C",
        "type": "DEPOSIT",
        "status": "REFUNDED"
      },
      "responseBody": "OK",
      "responseHeaders": {
        "content-type": "text/plain; charset=UTF-8"
      }
    }
  ]
}
{
  "statusCode": 400,
  "error": "Bad Request",
  "message": "querystring/dateFrom Invalid input: expected string, received undefined",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}
{
  "statusCode": 401,
  "error": "Unauthorized",
  "message": "Missing or invalid Bearer token",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}
{
  "statusCode": 404,
  "error": "Not Found",
  "message": "Resource not found",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}